CVE-2016-4651

MEDIUM

Description

Cross-site scripting (XSS) vulnerability in the WebKit JavaScript bindings in Apple iOS before 9.3.3 and Safari before 9.1.2 allows remote attackers to inject arbitrary web script or HTML via a crafted HTTP/0.9 response, related to a "cross-protocol cross-site scripting (XPXSS)" vulnerability.

References

http://lists.apple.com/archives/security-announce/2016/Jul/msg00001.html

http://lists.apple.com/archives/security-announce/2016/Jul/msg00004.html

http://packetstormsecurity.com/files/138502/WebKitGTK-SOP-Bypass-Information-Disclosure.html

http://www.securityfocus.com/archive/1/539295/100/0/threaded

http://www.securityfocus.com/bid/91835

http://www.securitytracker.com/id/1036343

https://support.apple.com/HT206900

https://support.apple.com/HT206902

Details

Source: MITRE

Published: 2016-07-22

Updated: 2018-10-09

Type: CWE-79

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: (AV:N/AC:M/Au:N/C:N/I:P/A:N)

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 6.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Impact Score: 2.7

Exploitability Score: 2.8

Severity: MEDIUM